Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5741 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5741 indexed agents, 4966 currently healthy.

Agents indexed
5741 agents
4945 domains
public agent cards · +533 this week
Healthy
4966 agents
4295 domains
card reachable < 6 h
Conformant
4143 agents
3569 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“FMCSA Carrier Intelligence” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“GenTech x402 Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“GiftPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Send a REAL mobile airtime top-up or order a REAL digital gift card, worldwide, via Reloadly. ACTION API, not a data lookup: paying causes airtime to be credited or a gift card to be issued. Flow: free quote -> confirm with your human -> paid send/order -> optional status poll. Pay-per-call via x402 on Base.

  • Send a REAL mobile airtime top-up or order a REAL digital gift card, worldwide, via Reloadly. ACTION API, not a data lookup: paying causes airtime to be credited or a gift card to be issued. Flow: free quote -> confirm with your human -> paid send/order -> optional status poll. Pay-per-call via x402 on Base.

“Grokzilla micro pay” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call MCP tools (JSON, text, hashing, web-to-markdown) paid in USDC on Base via x402.

  • Pay-per-call tools over MCP, settled in USDC on Base with x402. No API key or signup. Add https://grokzilla.shop/mcp (Streamable HTTP, no auth). list_skills and get_skill are free. Paid tools start around $0.002 a call, and each tool description shows its price. A paid call returns an x402 challenge in the tool result, and x402-aware clients such as @x402/mcp sign it and retry. Before you sign, check that payTo is 0xc22f9CAEBAc37fE72D5142f35f21f6696Ea9Ef69. Bad input and failed payments are not charged. Quickstart: https://grokzilla.shop/docs/mcp/agent-pays-in-30-seconds. Spend limits: https://grokzilla.shop/docs/mcp/spend-limits

“GSC Fleet” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

“HALOWERK frachtwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK rohstoffwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK sicherwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“InsurePulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

“Kazakhstan / Middle Corridor Deal Risk Gate” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. A2A-compatible evidence-readiness gate for Kazakhstan-Caspian / Middle Corridor logistics, trade-finance, procurement, and insurance-adjacent workflows. Bring route, cargo, counterparties, and dated sources; get structured deal-risk triage, missing source categories, evidence gaps, watch-next indicators, decision-readiness score, risk signal, human-review routing, and named sanctions-exposure flags: OFAC named-sector (EO 14024/14114) and newly-formed-counterparty red flags, EU re-export / circumvention-watch jurisdictions (incl. the 20th-package measures on Kyrgyzstan), dual-use cargo screened against the EU/US Common High Priority List, a domestic-legal vs foreign-sanctions exposure decomposition, and a vessel deceptive-shipping-practice checklist. Deterministic rule-based logic, no model in the decision path. Presence-flagging and evidence triage only, not a sanctions determination. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant-a2a.vassiliy-lakhonin.workers.dev) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

  • Find missing documents in a Kazakhstan / Middle Corridor trade-deal file before signature, shipment or committee review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible evidence-readiness gate for Kazakhstan-Caspian / Middle Corridor logistics, trade-finance, procurement, and insurance-adjacent workflows. Bring route, cargo, counterparties, and dated sources; get structured deal-risk triage, missing source categories, evidence gaps, watch-next indicators, decision-readiness score, risk signal, human-review routing, and named sanctions-exposure flags: OFAC named-sector (EO 14024/14114) and newly-formed-counterparty red flags, EU re-export / circumvention-watch jurisdictions (incl. the 20th-package measures on Kyrgyzstan), dual-use cargo screened against the EU/US Common High Priority List, a domestic-legal vs foreign-sanctions exposure decomposition, and a vessel deceptive-shipping-practice checklist. Deterministic rule-based logic, no model in the decision path. Presence-flagging and evidence triage only, not a sanctions determination. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“NumberIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Numbers Online — phone intelligence” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • skills: {'id': 'phone_lookup', 'name': 'Phone number intelligence', 'description': "Return a supplementary, low-confidence intelligence bundle for a phone number: validity, formatting, line type, range carrier, country, caller name (CNAM where available), STIR/SHAKEN verstat, a labeled spam signal, and a first-party do-not-contact (DNC) signal — a suppression preference registered by the number's own owner, never a copy of any government registry. Advisory only.", 'tags': ['phone', 'telephony', 'caller-id', 'cnam', 'line-type', 'spam', 'dnc', 'e164'], 'examples': ['Look up +14155552671', 'What do you know about +442071838750?'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}, {'id': 'line_type', 'name': 'Line type', 'description': 'Return only the deterministic fields for a number — validity, line type (mobile / fixed line / VoIP / …), range carrier, country, and formatting. Free, fast classification; no paid dip.', 'tags': ['phone', 'line-type', 'carrier', 'e164'], 'examples': ['Is +14155552671 a mobile or landline?'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}, {'id': 'caller_risk', 'name': 'Caller risk signal', 'description': "Return a labeled, low-confidence risk read for an inbound caller: a spam signal (0–100, higher = riskier), verstat passthrough, and a first-party do-not-contact (DNC) signal — without a name dip. A supplementary input to the agent's own policy, never a verdict on whether to accept or reject a call.", 'tags': ['phone', 'spam', 'risk', 'stir-shaken', 'dnc'], 'examples': ['How risky is an inbound call from +14155552671?'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}, {'id': 'dnc_check', 'name': 'Do-not-contact supplementary signal', 'description': 'Return a first-party do-not-contact signal (suppress / no_match / unknown) for a number, sourced ONLY from suppression preferences registered and verified by the number\'s own owner inside Numbers Online — never a copy of any government or licensed do-not-call registry. Comes with a signed receipt recording the status "as of T". Advisory only.', 'tags': ['phone', 'dnc', 'tcpa', 'suppression', 'consent'], 'examples': ['Has +14155552671 registered a do-not-contact preference?'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}; conformance: fail

  • Read-only phone intelligence for AI voice agents — line type, risk, DNC, signed receipts.

“Political Comms” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Documentation for the Political Comms P2P texting platform - help center, onboarding, compliance, and API reference.

  • Direct-to-carrier political texting platform for campaigns, PACs, advocacy groups, fundraisers, and elected officials in the United States. This card describes the public knowledge and integration surface. Interactive access is provided over the Model Context Protocol at https://docs.politicalcomms…

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“SMKlog Parcel Quotes” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Prices one parcel from a US origin, domestic or to Canada, the UK, Germany or Australia, across USPS, UPS and FedEx (plus DHL Express to Germany and Australia) from a plain-words item description (box size and weight are estimated when omitted), and can prepare a payment session that a human completes behind the site consent gates. It answers in a single round trip and never moves money.

  • Prices one parcel from a US origin, domestic or to Canada, the UK, Germany or Australia, across USPS, UPS and FedEx (plus DHL Express to Germany and Australia) from a plain-words item description (box size and weight are estimated when omitted), and can prepare a payment session that a human comple…

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Warp Freight” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0%; p95 323.3ms; conformance: fail

  • Programmatic US domestic freight agent. Quote, book, track, and audit LTL, FTL, box truck, and cargo van shipments. All-inclusive rates at booking. Backed by 38,000+ carriers and 70+ cross-dock facilities. Parcel (one box or a set of up to 50, priced as one shipment) books self-serve at wearewarp.c…

  • Programmatic US and Canada freight agent. Quote, book, track, and audit LTL, FTL, box truck, and cargo van shipments. All-inclusive rates at booking. Backed by 38,000+ carriers and 70+ cross-dock facilities. Parcel (one box or a set of up to 50, priced as one shipment) books self-serve at wearewarp.com/parcel-quote. Ocean and air freight rate live at wearewarp.com/ocean and wearewarp.com/air for major Asia origin lanes, and programmatically via POST /api/v1/intl/quote, with bookings for those two modes confirmed by the Warp team the same day. Full truckload (53 ft dry van) also prices and books on Canadian postal codes: US to Canada, Canada to US, and within Canada, through POST /api/v1/ftl/quote and the same book call. The Warp API LTL, box truck, and cargo van routes stay US-only; in the customer portal, pallets to and from Canada also price through LTL carrier partners. Does NOT serve Mexico, food-grade, or warehousing/3PL fulfillment.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.
  • Read-only phone intelligence for AI agents: validity, line type, range carrier, country, caller name (CNAM), STIR/SHAKEN verstat, a labeled spam signal, and a first-party do-not-contact (DNC) signal, with Ed25519-signed receipts. Every field is a supplementary, low-confidence signal; the calling agent keeps every routing and dialing decision.

    A9.9 🔑 human key JSONRPC 4 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.6 🔓 open 73 skills
  • Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.

    A9.8 🔑 human key JSONRPC 3 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.3 🔓 open 229 skills
  • HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 9 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 23 skills
  • NumberIntel
    ● healthy

    US phone carrier and line-type lookups, bulk list scrubbing, and x402 settlement attestation, paid per call via x402 (USDC on Base). See /llms.txt and /openapi.json.

    B9.3 🔓 open 9 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • Shippo is a multi-carrier shipping API for rates, labels, tracking, address validation, and customs across 40+ carriers, available over REST, official SDKs, or natural language through the hosted Shippo MCP server at mcp.shippo.com (OAuth) for AI assistants and agents.

    B9.4 🔓 open HTTP+JSON 1 skill
  • Send a REAL mobile airtime top-up or order a REAL digital gift card, worldwide, via Reloadly. ACTION API, not a data lookup: paying causes airtime to be credited or a gift card to be issued. Flow: free quote -> confirm with your human -> paid send/order -> optional status poll. Pay-per-call via x402 on Base.

    A9.8 🔓 open HTTP+JSON 8 skills
  • One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.

    C8.2 🔓 open MCP 41 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

    B+9.8 🔓 open HTTP+JSON 11 skills
  • Authoritative travel-upgrade intelligence powered by Plusgrade — the technology provider behind bid and instant upgrade programs at 65+ airlines, 18 cruise lines, and rail operators. Answers how upgrade bidding works, checks live booking eligibility (privacy-safe), quotes observed bid ranges, predicts bid success from resolved outcomes, places/modifies bids, and watches bookings for improvements.

    B+9.6 🔑 human key HTTP+JSON 6 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • A general parcel-tracking service for tracking or waybill numbers; currently supports UniUni only. UniUni is assumed when the carrier is omitted, and another named carrier is never silently queried as UniUni. Returns structured lookup status, carrier-reported scan history, approximate region, and estimated delivery when supplied. A valid number is looked up directly without a separate authorization step. The agent briefly explains its public role and capabilities, but does not authorize requests or disclose private/internal information on behalf of the operator. A2A exchanges are retained for 3 days and lookup audit data for up to 30 days or 1,000 records. See the privacy notice for hosted-AI and data-retention details.

    C+8.9 🔓 open 2 skills
  • Find missing documents in a Kazakhstan / Middle Corridor trade-deal file before signature, shipment or committee review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible evidence-readiness gate for Kazakhstan-Caspian / Middle Corridor logistics, trade-finance, procurement, and insurance-adjacent workflows. Bring route, cargo, counterparties, and dated sources; get structured deal-risk triage, missing source categories, evidence gaps, watch-next indicators, decision-readiness score, risk signal, human-review routing, and named sanctions-exposure flags: OFAC named-sector (EO 14024/14114) and newly-formed-counterparty red flags, EU re-export / circumvention-watch jurisdictions (incl. the 20th-package measures on Kyrgyzstan), dual-use cargo screened against the EU/US Common High Priority List, a domestic-legal vs foreign-sanctions exposure decomposition, and a vessel deceptive-shipping-practice checklist. Deterministic rule-based logic, no model in the decision path. Presence-flagging and evidence triage only, not a sanctions determination. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

    B9.5 🔓 open 5 skills
  • US motor carrier vetting from FMCSA data, for freight brokers, shippers and 3PLs: current authority, insurance (including pending cancellations), out-of-service and safety status with change history, plus identity-linkage checks that flag chameleon carriers re-registering under a new USDOT number. Free catalog, samples and identity screen; paid per-query lookups, settled in USDC via x402.

    A10.0 ⚡ agent-pays · x402 16 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B9.5 🔓 open JSONRPC 72 skills
  • Award-travel intelligence: an AI-augmented data set derived from GDS inventory and lived award-travel experience, checked multiple times per day. Answers whether a specific flight has seats bookable with points or miles, and which loyalty programme books them most cheaply. Operated by MetroSpaces LLC, an ARC-accredited travel entity (VTC #45616745)

    B9.4 🔑 human key JSONRPC 2 skills
  • Pay-per-call x402 tools on Base (USDC). Free skill discovery over MCP.

    B9.4 🔓 open 28 skills
  • Programmable SMS, OTP verification and Moroccan Virtual WhatsApp Business lines (+212 eSIM 07 Cloud) for Morocco and international destinations. Agents can discover pricing, send messages, deploy virtual numbers, and run phone verification flows via the MCP endpoint or REST API.

    A9.8 🔑 human key JSONRPC 4 skills
  • Custom aluminium photo prints and DIBOND address signs. Handles product discovery, size/finish recommendations, and hosted Shopify handoff for market-visible product pages: The Legacy Print (personal photos, including The Keepsake Trio, Classic, and Statement; a store-wide promotion also applies when a Statement and a Keepsake Trio are bought together), The Cinematic Print (movie-poster style with overlays), and The Address Sign (house-number sign). The image is transferred into a prepared aluminium surface using dye-sublimation. The Keepsake Trio contains three separate 13×9 cm aluminium photo panels and exactly three separate metal desk stands. Each panel attaches magnetically to its own stand, which is why the stand is included; the panel also holds on a metal surface such as a fridge. Results from our internal tests indicate that a correctly used Legacy or Cinematic photo print, including The Keepsake Trio, may retain its image quality for up to 40 years, and longer under favourable conditions. Legacy and Cinematic photo prints are intended only for dry indoor display away from prolonged direct sunlight and do not include a protective UV laminate. Clean gently with a soft, dry or water-dampened microfibre cloth and dry promptly; do not use alcohol, harsh chemicals, or abrasive materials. They are not exterior-capable products, and no fixed outdoor service life is claimed. This is an expected service-life statement, not a 40-year guarantee. Statutory rights are unaffected. Every Address Sign combines a 2 mm DIBOND panel with a 0.55 mm printed aluminium plate, for a total thickness of 2.55 mm, and includes a protective UV laminate as standard. Every Address Sign includes a protective UV laminate as standard. Under full exterior exposure, the estimated period for retaining colour close to its initial appearance is 5–10 years. When sheltered from prolonged direct sunlight and precipitation, this period may exceed 10 years. Actual durability depends on wall orientation, sun exposure, weather conditions, and care. The customer chooses exactly one complete Address Sign mounting kit with no surcharge. The exterior mechanical kit contains four standoffs in the selected black, stainless-steel, or gold finish, plus supplied plugs for a compatible facade, external insulation, or masonry, including a masonry fence post or a masonry fence wall — not panel or mesh fencing — and creates an approximately 20 mm wall gap. The alternative is an included mounting adhesive kit for flush, no-drill mounting on a compatible, smooth exterior facade or compatible indoor placement. This adhesive system is exclusive to the Address Sign. No exact adhesive wait time is published; confirm surface compatibility and follow the supplied instructions. Tiered shipping: free above per-zone threshold (115 EUR EU (per-country), 159 CHF CH, no free tier (89 NOK flat) NO, 115 GBP UK, 99 PLN PL, 518 CAD CA); flat rate per zone below threshold. Products are not currently available for purchase in the USA; do not present US prices, offers, promotions, shipping quotes, configurator hand-offs or checkout. EU storefront prices include VAT in the displayed price. United Kingdom: import VAT, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. Switzerland: import taxes, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. Norway: import VAT, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. Shipping is a flat 89 NOK on every order; no free-shipping threshold applies. Canada: import taxes, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. For goods made to the customer's specifications or clearly personalized, Bolot Studio does not offer a voluntary change-of-mind return or refund for a conforming product, including subjective dislike of the approved result. Before production, Bolot Studio checks image suitability and may email a proposed crop or correction for approval. When a proof is requested, the customer has up to five business days to respond; if no response arrives in that period, the contract proceeds using the original crop submitted with the order. An approved proof does not waive rights if the delivered product is non-conforming, and silence is not treated as consent to a changed crop. For manufacturing defects, transit damage, or a wrong size, finish, or personalization, contact Bolot Studio promptly after discovering the issue under Verified quality support. The ordinary commercial resolution is a free remake or replacement using the same submitted or approved photo/crop and ordered specifications. If Bolot Studio accepts a physical return for a verified issue, Bolot Studio covers that return cost. Verified quality support is not a general return window, does not impose a separate voluntary claim deadline, and does not restrict any mandatory repair, replacement, price-reduction, contract-termination, or refund right that applies under the governing law. Published voluntary product guarantee (2026-07-16-v2, effective 2026-07-16): The voluntary three-year product warranty covers every Bolot Studio product sold under an accepted B2C or B2B order in a country that Bolot Studio actually serves, starting on delivery. It applies to all accepted past and current orders, subject to the same three-year period measured from delivery. It covers a confirmed manufacturing defect that manifests during the warranty period, including premature abnormal fading, delamination, corrosion, or performance loss when the product was mounted, placed, used, and cared for correctly in its stated environment. Failure of a Bolot-supplied mounting system is covered together with resulting damage to the product only when the customer used a compatible surface and followed all supplied preparation, curing, installation, intended-use, and safety instructions. Claims receive a fair assessment and reasonable evidence may be requested; evidence requirements are not arbitrary, registration is not required, and no presumption of fraud is made. Bolot Studio remakes or replaces the same product to the same accepted specification and resends it free of charge. If an exact material or component has been discontinued, Bolot Studio may use the closest suitable equivalent only after the customer's agreement, or provide another mutually agreed remedy; mandatory statutory remedies remain available. Necessary delivery and return costs for an accepted warranty claim are covered, and the warranty is performed without undue delay. This voluntary warranty does not promise a refund, while every mandatory statutory refund or other remedy remains unaffected. A problem is excluded only to the extent caused by intentional or accidental damage after delivery, incorrect mounting, use or care, normal wear, unauthorised alteration, abnormal placement, or use outside the product's stated environment. Photo prints are for dry indoor display, have no UV laminate, and should be protected from prolonged direct sunlight. Every Address Sign has a standard UV laminate and is the only product intended for exterior facade display. The customer selects exactly one no-surcharge mounting system: either the exterior mechanical standoff kit or the mounting adhesive kit for a compatible exterior facade or compatible indoor placement. Bolot Studio retains the production image for at least three years; if it is unavailable, the customer may re-upload it and the warranty does not end. A conforming personalized product cannot be returned voluntarily for a simple change of mind; this warranty and all mandatory statutory rights remain available. Read the [complete current warranty terms](https://bolotstudio.com/en/pages/returns#voluntary-warranty). Versioned terms: https://bolotstudio.com/documents/voluntary-warranty/select.

    C8.2 🔑 human key 3 skills
  • 16 AI-powered API endpoints. Multichain: pay per call via x402 USDC on Base, Solana, Avalanche, BNB, OKX, or Algorand.

    B9.5 🔓 open 9 skills
  • Programmatic US and Canada freight agent. Quote, book, track, and audit LTL, FTL, box truck, and cargo van shipments. All-inclusive rates at booking. Backed by 38,000+ carriers and 70+ cross-dock facilities. Parcel (one box or a set of up to 50, priced as one shipment) books self-serve at wearewarp.com/parcel-quote. Ocean and air freight rate live at wearewarp.com/ocean and wearewarp.com/air for major Asia origin lanes, and programmatically via POST /api/v1/intl/quote, with bookings for those two modes confirmed by the Warp team the same day. Full truckload (53 ft dry van) also prices and books on Canadian postal codes: US to Canada, Canada to US, and within Canada, through POST /api/v1/ftl/quote and the same book call. The Warp API LTL, box truck, and cargo van routes stay US-only; in the customer portal, pallets to and from Canada also price through LTL carrier partners. Does NOT serve Mexico, food-grade, or warehousing/3PL fulfillment.

    B9.6 🔑 human key 7 skills
  • GSC AI Agent CPG Fleet - LATAM — fleet root on gsc-a2a.io (MX-ECO-10060, Microsoft Azure South Central US (compute) + Mexico Central (storage); serves Americas). Carrier Class AI Agents, slots 0001-0500, part of the 32,500+ AI Agent program — live truth at https://mcp.gsc-fleet.ai/. Human in the loop by design: anything creating obligation is lodged on the HITL MCP (https://mcp.cpghumanintheloop.ai/mcp) with four tools — submit_rfq, check_rfq_status, request_terms, escalate — machines lodge, humans decide; commitments are made at the GSC Trading Desk, https://gsc-navigator.ai/ Protocol home: https://acm-68000.org. Monthly AI Agent transaction number: published at https://gsc-radar.ai/ (radar.json is the source of record). Cards verify from the gsc-cards-2026-08 key on the dpuone.ai keyring. Operator: GreenCore Solutions Corp. · D-U-N-S 24-336-6774 · Microsoft AI Cloud Partner. Hosting: Microsoft Azure · agents resident in 18 countries worldwide.

    A10.0 🔑 human key 3 skills
  • GSC AI Agent CPG Fleet - APAC — fleet root on gsc-a2a.ai (AU-ECO-10060, Microsoft Azure Australia East; serves Asia-Pacific). Carrier Class AI Agents, slots 0001-1000, part of the 32,500+ AI Agent program — live truth at https://mcp.gsc-fleet.ai/. Human in the loop by design: anything creating obligation is lodged on the HITL MCP (https://mcp.cpghumanintheloop.ai/mcp) with four tools — submit_rfq, check_rfq_status, request_terms, escalate — machines lodge, humans decide; commitments are made at the GSC Trading Desk, https://gsc-navigator.ai/ Protocol home: https://acm-68000.org. Monthly AI Agent transaction number: published at https://gsc-radar.ai/ (radar.json is the source of record). Cards verify from the gsc-cards-2026-08 key on the dpuone.ai keyring. Operator: GreenCore Solutions Corp. · D-U-N-S 24-336-6774 · Microsoft AI Cloud Partner. Hosting: Microsoft Azure · agents resident in 18 countries worldwide.

    C+9.2 🔑 human key 3 skills
  • GSC AI Agent CPG Fleet - Global — fleet root on gsc-cpg.ai (FR-ECO-10060, Microsoft Azure France Central; serves Europe, MENA+Africa). Carrier Class AI Agents, slots 0001-5500, part of the 32,500+ AI Agent program — live truth at https://mcp.gsc-fleet.ai/. Human in the loop by design: anything creating obligation is lodged on the HITL MCP (https://mcp.cpghumanintheloop.ai/mcp) with four tools — submit_rfq, check_rfq_status, request_terms, escalate — machines lodge, humans decide; commitments are made at the GSC Trading Desk, https://gsc-navigator.ai/ Protocol home: https://acm-68000.org. Monthly AI Agent transaction number: published at https://gsc-radar.ai/ (radar.json is the source of record). Cards verify from the gsc-cards-2026-08 key on the dpuone.ai keyring. Operator: GreenCore Solutions Corp. · D-U-N-S 24-336-6774 · Microsoft AI Cloud Partner. Hosting: Microsoft Azure · agents resident in 18 countries worldwide.

    B9.3 🔑 human key 3 skills
  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

    B9.4 🔑 human key 3 skills
  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

    B9.4 🔑 human key 3 skills
  • Prices one parcel from a US origin, domestic or to Canada, the UK, Germany or Australia, across USPS, UPS and FedEx (plus DHL Express to Germany and Australia) from a plain-words item description (box size and weight are estimated when omitted), and can prepare a payment session that a human completes behind the site consent gates. It answers in a single round trip and never moves money.

    B9.5 🔓 open 3 skills
  • One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.

    C8.2 🔓 open MCP 41 skills
  • External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. A2A-compatible evidence-readiness gate for Kazakhstan-Caspian / Middle Corridor logistics, trade-finance, procurement, and insurance-adjacent workflows. Bring route, cargo, counterparties, and dated sources; get structured deal-risk triage, missing source categories, evidence gaps, watch-next indicators, decision-readiness score, risk signal, human-review routing, and named sanctions-exposure flags: OFAC named-sector (EO 14024/14114) and newly-formed-counterparty red flags, EU re-export / circumvention-watch jurisdictions (incl. the 20th-package measures on Kyrgyzstan), dual-use cargo screened against the EU/US Common High Priority List, a domestic-legal vs foreign-sanctions exposure decomposition, and a vessel deceptive-shipping-practice checklist. Deterministic rule-based logic, no model in the decision path. Presence-flagging and evidence triage only, not a sanctions determination. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant-a2a.vassiliy-lakhonin.workers.dev) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

    C+9.0 🔓 open 5 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.3 🔓 open 73 skills
  • Warp Freight
    ● healthy

    Programmatic US domestic freight agent. Quote, book, track, and audit LTL, FTL, box truck, and cargo van shipments. All-inclusive rates at booking. Backed by 38,000+ carriers and 70+ cross-dock facilities. Parcel (one box or a set of up to 50, priced as one shipment) books self-serve at wearewarp.c…

    C7.8 🔓 open
  • Political Comms
    ● healthy

    Direct-to-carrier political texting platform for campaigns, PACs, advocacy groups, fundraisers, and elected officials in the United States. This card describes the public knowledge and integration surface. Interactive access is provided over the Model Context Protocol at https://docs.politicalcomms…

    C8.2 🔓 open
  • GSC Fleet
    ● healthy

    The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

    C7.9 🔓 open
  • A transparent Wheeler Hubbell Publishing carrier. It transports an exact existing WHP Standing Mark and its canonical verification and evaluation routes. It performs no evaluation, gives no opinion, and does not determine relevance.

    E4.9 🔓 open 1 skill
  • Ground truth operational layer for urban transfers in LatAm. Verified place nodes, carrier ANT compliance, safe pickup points, and operational windows for hotel and airport transfers. Serves verified data — never competitive intelligence. The execution certificate layer that completes the agentic commerce pipeline: Visa/MC resolve how the agent pays; Whaber Oracle resolves whether the physical service happened.

    E1.7 🔓 open 10 skills